> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full TransferSpec by transferSpecHash

> Retrieve the full TransferSpec for a given transferSpecHash.



## OpenAPI

````yaml openapi/gateway.yaml get /v1/transferSpec/{transferSpecHash}
openapi: 3.0.3
info:
  title: Circle Gateway
  version: 1.0.0
  description: >
    Circle Gateway allows you to create a chain-abstracted USDC balance and
    transfer it instantly to any supported destination chain.
servers:
  - url: https://gateway-api-testnet.circle.com
  - url: https://gateway-api.circle.com
security: []
tags:
  - name: Gateway
    description: >-
      Endpoints for getting a unified USDC balance and creating attestations for
      transfer
  - name: Gateway Batch
    description: Endpoints for batch processing of EIP-3009 authorizations
  - name: Gateway x402
    description: Endpoints for x402 payment protocol integration
  - name: Webhook Subscriptions
    description: Manage webhook subscriptions for Gateway event notifications.
paths:
  /v1/transferSpec/{transferSpecHash}:
    get:
      tags:
        - Gateway
      summary: Get full TransferSpec by transferSpecHash
      description: Retrieve the full TransferSpec for a given transferSpecHash.
      operationId: GetTransferSpec
      parameters:
        - name: transferSpecHash
          in: path
          required: true
          description: The keccak256 hash of the TransferSpec
          schema:
            $ref: '#/components/schemas/Bytes32'
      responses:
        '200':
          description: TransferSpec information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferSpecResponse'
        '400':
          description: Invalid transferSpecHash format
        '404':
          description: TransferSpec not found
        '500':
          description: Internal server error
components:
  schemas:
    Bytes32:
      type: string
      pattern: ^0x[a-fA-F0-9]{64}$
      example: '0x1234567890123456789012345678901234567890123456789012345678901234'
      description: A 32-byte hex string.
    TransferSpecResponse:
      type: object
      description: Complete TransferSpec information
      properties:
        version:
          type: integer
          description: Version of the transfer spec (uint32).
          example: 1
        sourceDomain:
          type: integer
          description: The domain of the wallet contract this transfer came from (uint32).
          example: 0
        destinationDomain:
          type: integer
          description: >-
            The domain of the minter contract this transfer is valid for
            (uint32).
          example: 4
        sourceContract:
          type: string
          description: >-
            The address of the wallet contract on the source domain (32-byte
            padded).
          example: '0x000000000000000000000000557777735b1dd18194f1b84256be2a3cdee6cb6f'
        destinationContract:
          type: string
          description: >-
            The address of the minter contract on the destination domain
            (32-byte padded).
          example: '0x000000000000000000000000552222279206cb0434128e0cae4558a25779c79f'
        sourceToken:
          type: string
          description: The token address on the source domain (32-byte padded).
          example: '0x0000000000000000000000001c7d4b196cb0c7b01d743fbc6116a902379c7238'
        destinationToken:
          type: string
          description: The token address on the destination domain (32-byte padded).
          example: '0x000000000000000000000000036cbd53842c5426634e7929541ec2318f3dcf7e'
        sourceDepositor:
          type: string
          description: >-
            The address to debit within the wallet contract on the source domain
            (32-byte padded).
          example: '0x0000000000000000000000002b45eF6A547A73eA248A1bCED808575c5a4839eE'
        destinationRecipient:
          type: string
          description: >-
            The address that should receive the funds on the destination domain
            (32-byte padded).
          example: 0x0000000000000000000000008BA1f109551bD432803012645Hac136c95e5431
        sourceSigner:
          type: string
          description: The signer who signed for the transfer (32-byte padded).
          example: '0x000000000000000000000000742d35Cc6623C026c893b7c2FD85c4E4A0EF4321'
        destinationCaller:
          type: string
          description: >-
            The address of the caller who may use the attestation, 0 address if
            any caller (32-byte padded).
          example: '0x0000000000000000000000000000000000000000000000000000000000000000'
        value:
          type: string
          description: The amount to be transferred.
          example: '1000000'
        salt:
          type: string
          description: The salt value used in the transfer spec.
          example: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'
        hookData:
          type: string
          description: Additional hook data for the transfer spec.
          example: 0x
      required:
        - version
        - sourceDomain
        - destinationDomain
        - sourceContract
        - destinationContract
        - sourceToken
        - destinationToken
        - sourceDepositor
        - destinationRecipient
        - sourceSigner
        - destinationCaller
        - value
        - salt
        - hookData

````